<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <title>Spacing</title>
    <style>
        .rect {
            vertical-align: center;
            border: 1px solid rgba(0, 0, 0, .2);
        }

        .rect p:nth-child(2) {
            font-style: italic;
            font-size: .8rem;
            line-height: .8;
        }
    </style>
</head>
<body class="container pt-5">
    <div class="text-left">
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>7- Spacing</h1>
    <br>

    <h3>Margin</h3>
    <div class="t-white text-center bg-gray-300">
        <div class="rect m-2 bg-primary">
            <p>Full Margin</p>
            <p>m-2</p>
        </div>

        <div class="rect bg-primary mx-5">
            <p>Horizontal Margin</p>
            <p>mx-5</p>
        </div>

        <div class="rect bg-primary my-1">
            <p>Vertical Margin</p>
            <p>my-1</p>
        </div>

        <div class="rect bg-primary ml-3">
            <p>Left Margin</p>
            <p>ml-3</p>
        </div>

        <div class="rect bg-primary mr-4">
            <p>Right Margin</p>
            <p>mr-4</p>
        </div>

        <div class="rect bg-primary mb-1">
            <p>Bottom Margin</p>
            <p>mb-1</p>
        </div>

        <div class="rect bg-primary mt-1">
            <p>Top Margin</p>
            <p>mt-1</p>
        </div>
        
        <div class="rect bg-primary mx-auto" style="width: 200px;">
            <p>Auto Horizontal Margin (width=200px)</p>
            <p>mx-auto</p>
        </div>

        <div class="rect bg-primary ml-n1">
            <p>Negative Left Margin</p>
            <p>mt-n1</p>
        </div>
    </div>

    <br><br>
    <h3>Padding</h3>
    <br><br>
    <div class="row t-white text-center">
        <div class="col of-12 p-2 bg-gray-300">
            <div class="rect bg-primary">
                <p>Full Padding</p>
                <p>p-2</p>
            </div>
        </div>

        <div class="col of-12 px-5 mt-1 bg-gray-300">
            <div class="rect bg-primary mx-5">
                <p>Horizontal Padding</p>
                <p>px-5</p>
            </div>
        </div>

        <div class="col of-12 mt-1 py-1 bg-gray-300">
            <div class="rect bg-primary">
                <p>Vertical Padding</p>
                <p>py-1</p>
            </div>
        </div>

        <div class="col of-12 mt-1 pl-3 bg-gray-300">
            <div class="rect bg-primary">
                <p>Left Padding</p>
                <p>pl-3</p>
            </div>
        </div>

        <div class="col of-12 mt-1 pr-4 bg-gray-300">
            <div class="rect bg-primary">
                <p>Right Padding</p>
                <p>pr-4</p>
            </div>
        </div>

        <div class="col of-12 mt-1 pt-1 bg-gray-300">
            <div class="rect bg-primary">
                <p>Top Padding</p>
                <p>pt-1</p>
            </div>
        </div>

        <div class="col of-12 mt-1 pb-1 bg-gray-300">
            <div class="rect bg-primary">
                <p>Bottom Padding</p>
                <p>pb-1</p>
            </div>
        </div>
    </div>
    <br>
</body>
</html>